# The package uses a bizarre library scheme that requires many symbols used in
# the library be defined in the main application
%define _disable_ld_no_undefined 1

Summary:	Emilia 3d Pinball
Name:		pinball
Version:	0.3.4
Release:	%mkrel 2
URL:		https://github.com/sergiomb2/pinball
Source0:	https://github.com/sergiomb2/pinball/archive/%{version}/%{name}-%{version}.tar.gz
# core license is GPL+
# gnu table licenses are (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA
# hurd table license is GPLv2+
License: GPL+ and (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA and GPLv2+
Group:		Games/Arcade
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(sm)
Recommends:	TiMidity++

%description
The Emilia Pinball projects is an open source pinball simulator for linux
and other unix systems. The current release features a number of tables:
tux, professor, professor2, gnu and hurd and is very addictive.

%prep
%setup -q

%build
./bootstrap

%configure \
	--datadir=%{_gamesdatadir} \
	--bindir=%{_gamesbindir} 
%make_build

%install
%make_install

install -D -m644 pinball.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 pinball.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 pinball.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

# Remove development files untill someone wants them.
# The .la files are needed
rm -rf %{buildroot}%{_includedir}/%{name} \
    %{buildroot}%{_libdir}/%{name}/*.a \
    %{buildroot}%{_libdir}/%{name}/*.so \
    %{buildroot}%{_libdir}/%{name}/libModuleTest.*
rm -f  %{buildroot}%{_gamesbindir}/%{name}-config

# remove unused global higescorefiles:
rm -fr %{buildroot}%{_localstatedir}

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so.*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.3.4-2.mga8
+ Revision: 1523564
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 07 2019 zezinho <zezinho> 0.3.4-1.mga7
+ Revision: 1372134
- new version 0.3.4

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3.3-2.mga7
+ Revision: 1300281
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 zezinho <zezinho> 0.3.3.3-1.mga7
+ Revision: 1191772
- new version

* Sat Nov 12 2016 akien <akien> 0.3.3-1.mga6
+ Revision: 1066863
- Recommends TiMidity++ for music
- Version 0.3.3
- Improve description and license field
- Simplify %%install section

* Sun Jan 10 2016 danf <danf> 0.3.2-2.mga6
+ Revision: 921242
- Fix linking with the bizarre symbol resolution scheme used here

* Wed Oct 28 2015 zezinho <zezinho> 0.3.2-1.mga6
+ Revision: 896000
- new build require : libsm
- new upstream on github -new tables -patches applied

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-21.mga5
+ Revision: 740609
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-20.mga5
+ Revision: 687597
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-19.mga4
+ Revision: 527773
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 zezinho <zezinho> 0.3.1-18.mga4
+ Revision: 442203
- fix desktop file comment

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-17.mga3
+ Revision: 377743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.3.1-16.mga3
+ Revision: 340000
- patch13: fix build with automake 1.13

* Mon Feb 06 2012 zezinho <zezinho> 0.3.1-15.mga2
+ Revision: 205625
- added dot la files back since they are needed to load a table

* Wed Dec 07 2011 fwang <fwang> 0.3.1-14.mga2
+ Revision: 178071
- fix linkage
- fix build
- more patch on gcc 4.6
- fix build with gcc 4.6
- drop .la files

* Sun Nov 06 2011 zezinho <zezinho> 0.3.1-13.mga2
+ Revision: 164451
- autoreconf needed
- imported package pinball


* Mon Jun 08 2009 Funda Wang <fundawang@mandriva.org> 0.3.1-12mdv2010.0
+ Revision: 383818
- sync fedora patch to fix hiscore record problem

* Tue May 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.3.1-11mdv2010.0
+ Revision: 377416
- fix perm on ChangeLog
- fix license
- trivial fix to the desktop file

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-10mdv2009.0
+ Revision: 268985
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.1-9mdv2009.0
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill X-mdv category
    - drop doble menu

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-9mdv2008.1
+ Revision: 132313
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.3.1-9mdv2008.0
+ Revision: 37528
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 0.3.1-8mdv2008.0
+ Revision: 31417
- Rebuild for directfb 1.0


* Wed Feb 28 2007 Lenny Cartier <lenny@mandriva.com> 0.3.1-7mdv2007.0
+ Revision: 127216
- Rebuild for dependencies

* Mon Nov 20 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.1-6mdv2007.1
+ Revision: 85698
- xdg menu
- %%mkrel
  fix buildrequires
- Import pinball

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.1-5mdk
- fix typo in description (from Eskild again;)

* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.1-4mdk
- fix description (from Eskild Hustvedt)

* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.1-3mdk
- use %%configure macro
- move hiscore file to %%{_localstatedir}/games/%%{name}
- do not bzip2 icons in src.rpm

* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- rebuild

